import { Connection } from 'typeorm';
import { Privilege } from './privilege.entity';

export const privilegeProviders = [
  {
    provide: 'PRIVILEGE_REPOSITORY',
    useFactory: (connection: Connection) => connection.getRepository(Privilege),
    inject: ['DATABASE_CONNECTION'],
  },
];
